<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100195";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
				
				////Arrastrando la Variable del Documento
				$NoDocSuEn=$_GET["txt_DocuKPD"] or $NoDocSuEn=$_POST["txt_DocuKPD"];
				$EtiMastEn=$_GET["txt_EtiMas"] or $EtiMastEn=$_POST["txt_EtiMas"];
				
				////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select TIPO_SALIDA,TIPO_SURTIDO,DESTINO,EDO_DOCUMENTO,DISPONIBILIDAD from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
				$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
				$CveDesIDR1=$registroIDR1["DESTINO"];
				$EdoDIDR1=$registroIDR1["EDO_DOCUMENTO"];
				$VigeIDR1=$registroIDR1["DISPONIBILIDAD"];
				}
				
				////Identificar Si el documento digitado Existe
				$sqlIDR2 = mysql_query("select * from tabla_docsurtido where CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocSuEn'");
				if (mysql_numrows($sqlIDR2)==0) 
				{
				echo "<script>alert('El Documento de Surtido Digitado no Existe.\\nFavor de Corroborarlo.'); </script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador del Documento Recibo
				
				////Identificar La caducidad de Documento
				if ($VigeIDR1<$Fecha)
				{
					echo "<script>alert('El Documento de Surtido Digitado ha Caducado.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Caducidad Documento
				
				////Identificar el estado del Documento
				if ($EdoDIDR1<>"POR SURTIR" and $EdoDIDR1<>"SURTIENDOSE")
				{
					echo "<script>alert('El Estado del Documento de Surtido no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ //// Inicia If Valiador de Estado de Documento
					
				///Identificar Los Datos de la Etiqueta Master
				$sql_EM = mysql_query("select DOCU_ASOCIADO,ESTATUS from tabla_etimaster where CVE_CUENTA='$CveCueCR1' AND NO_ETIQUETA='$EtiMastEn'");
				if (mysql_numrows($sql_EM)==0) echo "";
				else{
				$registro_EM=mysql_fetch_array($sql_EM);
				}
				if (mysql_numrows($sql_EM)>0)
				{
				$DocAso_EM=$registro_EM["DOCU_ASOCIADO"];
				$Estatu_EM=$registro_EM["ESTATUS"];
				}
					
				////Identificar Si la Etiqueta Master Existe
				$sql_EM2 = mysql_query("select DOCU_ASOCIADO,ESTATUS from tabla_etimaster where CVE_CUENTA='$CveCueCR1' AND NO_ETIQUETA='$EtiMastEn'");
				if (mysql_numrows($sql_EM2)==0) 
				{
					echo "<script>alert('La Etiqueta Master ingresada no existe para la cuenta en curso.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Existencia de Etiqueta Master
				
				
				if ($Estatu_EM=="ASOCIADA")
				{
					echo "<script>alert('La Etiqueta Master ingresada ya se encuentra Asociada a otro proceso por lo cual no es posible utilizarla.\\n\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Etiqueta NO disponible (ASOCIADA)
					
				if ($Estatu_EM=="EN USO" and $DocAso_EM<>$NoDocSuEn)
				{
					echo "<script>alert('La Etiqueta Master ingresada se encuentra en uso para dentro de otro Documento de Surtido.\\nFavor de Corroborarlo.'); </script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtido3.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSuEn'>";
				}
				else
				{ //// Inicia If Valiador de Etiqueta NO disponible (ASOCIADA)
				

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

<!-- Inicia Función Abre POPUP -->
<script languaje="JavaScript">
function otra_ventana(direccion) {
var ruta=direccion;

var caracteristicas="toolbar=0, location=0, directories=0, resizable=0, scrollbars=yes, height=400, width=600, top=120, left=350";
win=window.open(ruta ,"",caracteristicas);
}
</script>
<script type="text/javascript">
function popup(url,ancho,alto) {
var posicion_x; 
var posicion_y; 
posicion_x=(screen.width/2)-(ancho/2); 
posicion_y=(screen.height/2)-(alto/2); 
window.open(url, "mstech.mx", "width="+ancho+",height="+alto+",menubar=0,toolbar=0,directories=0,scrollbars=yes,resizable=no,left="+posicion_x+",top="+posicion_y+"");
}
</script>
<!-- Termina Función Abre POPUP -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
	
<?PHP
///Arrastra variables operativas
$NoDocuSurPG = $_POST['txt_DocuKPD'] or $NoDocuSurPG=$_GET["txt_DocuKPD"];
					
///Elimina los registros que se ingresaron anteriormente (Unicamente del No. de Documento Asignado)					
	$sqlELI= "DELETE FROM tabla_auditoriaporsurtidovalida WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOCUMENTO='$NoDocuSurPG'";
	$resultadoELI=mysql_query($sqlELI,$conexion) or die(mysql_error());					

///Barrer e identificar los codigos que ´pertenecen al documento de surtido					
	$sql = "SELECT * FROM tabla_detalledocsur where CVE_CUENTA='$CveCueCR1' and NO_DOCUMENTO='$NoDocuSurPG' ORDER BY SKU ASC";
	$res=mysql_query($sql) or die('Error en la consulta: '.mysql_error());
	While($row = mysql_fetch_array($res,MYSQL_ASSOC))
	{///Inicia While 01
							
		$SkuCW1=$row["SKU"];
		$LotCW1=$row["LOTE"];
		$DescCW1=$row["DESCRIPCION"];
		
		///Consulta para sumar el total de piezas auditadas por Sku
			if ($TipSurIDR1=="IA" or $TipSurIDR1=="EA" or $TipSurIDR1=="UA") ///Surtido FIFO FEFO PRIORIDAD por asignación de existencias
			{
				$sqlSUMA = "SELECT SUM(	CANTIDAD_AUDITADA) as ObtCant FROM tabla_auditoriaporsurtido where NO_DOCUMENTO='$NoDocuSurPG' AND SKU='$SkuCW1' AND CVE_CUENTA='$CveCueCR1'";
			}
			if ($TipSurIDR1=="ILA" or $TipSurIDR1=="ELA") ///Surtido FIFO y LOTE por asignación de existencias
			{
				$sqlSUMA = "SELECT SUM(	CANTIDAD_AUDITADA) as ObtCant FROM tabla_auditoriaporsurtido where NO_DOCUMENTO='$NoDocuSurPG' AND SKU='$SkuCW1' AND CVE_CUENTA='$CveCueCR1' and LOTE='$LotCW1'";
			}
			$resSUMA = mysql_query($sqlSUMA); 
			$PrePiezas = mysql_fetch_assoc($resSUMA);
			$TotPiezasAUDI = $PrePiezas ['ObtCant'];
		
		///Consulta para sumar el total de piezas surtidas por Sku
			if ($TipSurIDR1=="IA" or $TipSurIDR1=="EA" or $TipSurIDR1=="UA") ///Surtido FIFO FEFO PRIORIDAD por asignación de existencias
			{
				$sqlSUMA2 = "SELECT SUM(CANT_SURTIDA) as ObtCant2 FROM tabla_tareas where NO_DOCUMENTO='$NoDocuSurPG' and SKU='$SkuCW1' and CVE_CUENTA='$CveCueCR1'";
			}
			if ($TipSurIDR1=="ILA" or $TipSurIDR1=="ELA") ///Surtido FIFO por asignación de existencias
			{
				$sqlSUMA2 = "SELECT SUM(CANT_SURTIDA) as ObtCant2 FROM tabla_tareas where NO_DOCUMENTO='$NoDocuSurPG' and SKU='$SkuCW1' and CVE_CUENTA='$CveCueCR1' and LOTE='$LotCW1'";
			}
			$resSUMA2 = mysql_query($sqlSUMA2); 
			$PrePiezas2 = mysql_fetch_assoc($resSUMA2);
			$TotPiezasSURTI = $PrePiezas2 ['ObtCant2'];
		
			
		///Total de piezas detalladas
			if ($TipSurIDR1=="IA" or $TipSurIDR1=="EA" or $TipSurIDR1=="UA") ///Surtido FIFO FEFO PRIORIDAD por asignación de existencias
			{
				$sqlSUMA3 = "SELECT SUM(CANT_X_SURTIR) as ObtCant3 FROM tabla_detalledocsur where NO_DOCUMENTO='$NoDocuSurPG' and SKU='$SkuCW1' and CVE_CUENTA='$CveCueCR1'";
			}
			if ($TipSurIDR1=="ILA" or $TipSurIDR1=="ELA") ///Surtido FIFO por asignación de existencias
			{
				$sqlSUMA3 = "SELECT SUM(CANT_X_SURTIR) as ObtCant3 FROM tabla_detalledocsur where NO_DOCUMENTO='$NoDocuSurPG' and SKU='$SkuCW1' and CVE_CUENTA='$CveCueCR1' and LOTE='$LotCW1'";
			}
			$resSUMA3 = mysql_query($sqlSUMA3); 
			$PrePiezas3 = mysql_fetch_assoc($resSUMA3);
			$TotPiezasDETA = $PrePiezas3 ['ObtCant3'];
		
		///Total de piezas Asignadas
			if ($TipSurIDR1=="IA" or $TipSurIDR1=="EA" or $TipSurIDR1=="UA") ///Surtido FIFO FEFO PRIORIDAD por asignación de existencias
			{
				$sqlSUMA4 = "SELECT SUM(CANT_XTAREA) as ObtCant4 FROM tabla_tareas where NO_DOCUMENTO='$NoDocuSurPG' and SKU='$SkuCW1' and CVE_CUENTA='$CveCueCR1'";
			}
			if ($TipSurIDR1=="ILA" or $TipSurIDR1=="ELA") ///Surtido FIFO por asignación de existencias
			{
				$sqlSUMA4 = "SELECT SUM(CANT_XTAREA) as ObtCant4 FROM tabla_tareas where NO_DOCUMENTO='$NoDocuSurPG' and SKU='$SkuCW1' and CVE_CUENTA='$CveCueCR1' and LOTE='$LotCW1'";
			}
			$resSUMA4 = mysql_query($sqlSUMA4); 
			$PrePiezas4 = mysql_fetch_assoc($resSUMA4);
			$TotPiezasASIG = $PrePiezas4 ['ObtCant4'];
		
		
		///Identificar la distinsión de los registros por medio del SKU
			if ($TipSurIDR1=="IA" or $TipSurIDR1=="EA" or $TipSurIDR1=="UA") ///Surtido FIFO FEFO PRIORIDAD por asignación de existencias
			{
				$sqlITDS = mysql_query("select * from tabla_auditoriaporsurtidovalida where CVE_CUENTA='$CveCueCR1' and NO_DOCUMENTO='$NoDocuSurPG' and SKU='$SkuCW1'");
			}
			if ($TipSurIDR1=="ILA" or $TipSurIDR1=="ELA") ///Surtido FIFO por asignación de existencias
			{
				$sqlITDS = mysql_query("select * from tabla_auditoriaporsurtidovalida where CVE_CUENTA='$CveCueCR1' and NO_DOCUMENTO='$NoDocuSurPG' and SKU='$SkuCW1' and LOTE='$LotCW1'");
			}
			if (mysql_numrows($sqlITDS)==0) 
			{ ///// IF AGREGADOR
				
				///Hora y Fecha
				$Hora=time();
				$HoraOK=date("H:i:s",$Hora);
				$Fecha=date("Y/m/d");
		
				///Guardar registro en la BD
				$sql_GVA = "insert into tabla_auditoriaporsurtidovalida (CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,SKU,DESCRIPCION,CANT_XSURTIR,CANT_ASIGNADA,CANT_SURTIDA,CANT_AUDITA,USUARIO,HORA,FECHA)
				values('$CveBodCR1','$CveCueCR1','$NoDocuSurPG','$SkuCW1','$DescCW1','$TotPiezasDETA','$TotPiezasASIG','$TotPiezasSURTI','$TotPiezasAUDI','$UsuEn','$HoraOK','$Fecha')";
				$resultado_GVA=mysql_query($sql_GVA,$conexion) or die(mysql_error());
							
			} ///// FIN IF AGREGADOR
		
	}///Termina While 01
			
			///Redireccionando a la pantalla anterior
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=183-AuditoriaXSurtidoValidacion2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocuSurPG&txt_EtiMas=$EtiMastEn'>";
?>	
<Br><Br><Br><Br>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<script> 
    function confirmDelete(link) { 
        if (confirm("¿Realmente deseas eliminar este Detalle del Documento?")) { 
            doAjax(link.href, "POST"); // doAjax needs to send the "confirm" field 
        } 
        return false; 
    } 
</script>

<?PHP
} //// Termina If Valiador de Existencia de Etiqueta Master
} //// Termina If Valiador de Etiqueta NO disponible (ASOCIADA)
} //// Termina If Valiador de Etiqueta NO disponible (ASOCIADA)						
}//// Termina If Valiador de Estado de Documento
}//// Termina If Valiador de Caducidad Documento
}//// Termina If Valiador del Documento Recibo
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>